SIGBLOCK(2)

NAME
sigblock - block signals

SYNOPSIS
#include <signal.h>
sigblock(mask);
int mask;
mask = sigmask(signum)

DESCRIPTION
Sigblock causes the signals specified in mask to be added to the set of signals currently being blocked from delivery. Signals are blocked if the corresponding bit in mask is a 1; the macro sigmask is provided to construct the mask for a given signum.

It is not possible to block SIGKILL, SIGSTOP, or SIGCONT; this restriction is silently imposed by the system.

RETURN VALUE
The previous set of masked signals is returned.

SEE ALSO
kill(2), sigvec(2), sigsetmask(2)